Package org.apache.sysds.runtime.matrix.data

# Class CTableMap

java.lang.Object
org.apache.sysds.runtime.matrix.data.CTableMap

public class CTableMap extends Object
Ctable map is an abstraction for the hashmap used for ctable's hash group-by because this structure is passed through various interfaces. This makes it easier to (1) exchange the underlying data structure and (2) maintain statistics like max row/column in order to prevent scans during data conversion.

## Constructor Summary

Constructors
Constructor
Description
`CTableMap()`
`CTableMap(LongLongDoubleHashMap.EntryType type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`aggregate(long row, long col, double w)`
`Iterator<LongLongDoubleHashMap.ADoubleEntry>`
`getIterator()`
`long`
`getMaxColumn()`
`long`
`getMaxRow()`
`int`
`size()`
`MatrixBlock`
`toMatrixBlock(int rlen, int clen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CTableMap

public CTableMap()

### CTableMap

public CTableMap(LongLongDoubleHashMap.EntryType type)

## Method Details

### size

public int size()

### getIterator

public Iterator<LongLongDoubleHashMap.ADoubleEntry> getIterator()

### getMaxRow

public long getMaxRow()

### getMaxColumn

public long getMaxColumn()

### aggregate

public void aggregate(long row, long col, double w)

### toMatrixBlock

public MatrixBlock toMatrixBlock(int rlen, int clen)